OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000001OMNeT++IDE / NED editorpublic2008-10-21 01:262010-05-06 09:52
Reporterrhornig 
Assigned Toandras 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0b7 
Target Version4.0b7Fixed in Version4.1b4 
Summary0000001: Content assist is not working in a NED source editor inside an inner type
DescriptionSteps to reproduce:
- Open a NED editor and switch to source editor
- Create a compound module with the folowing content:

module Module
{
    types:
        simple A {
            gates:
                inout port;
        }
        module mm {
            submodules:
                sub : A;
                sub2 : A;
            connections:
                
        }
}

- Position the cursor after "connections:" and press CTRL-SPACE
Content assist does not list sub and sub2 submodules.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000282)
andras (administrator)
2010-05-06 09:52

Should be working fine in 4.1

- Issue History
Date Modified Username Field Change
2008-10-21 01:26 rhornig New Issue
2008-10-21 01:26 rhornig Status new => assigned
2008-10-21 01:26 rhornig Assigned To => rhornig
2008-10-21 01:43 rhornig Description Updated
2008-10-21 02:34 andras Assigned To rhornig => andras
2008-12-08 11:30 andras Status assigned => acknowledged
2008-12-08 11:30 andras Target Version => 4.0b7
2008-12-10 08:52 rhornig Status acknowledged => to be tested
2008-12-10 10:04 rhornig Status to be tested => postponed
2010-05-06 09:52 andras Note Added: 0000282
2010-05-06 09:52 andras Status postponed => resolved
2010-05-06 09:52 andras Fixed in Version => 4.1b4
2010-05-06 09:52 andras Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker